﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Controls.Schedules;

namespace SimpleSchedule
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ObservableCollection<Resource> resources = new ObservableCollection<Resource>();
        ObservableCollection<ResourceCalendar> calendars = new ObservableCollection<ResourceCalendar>();
        ObservableCollection<Appointment> appointments = new ObservableCollection<Appointment>();
        ObservableCollection<Task> tasks = new ObservableCollection<Task>();

        public MainWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            resources.Add(new Resource
            {
                Id = "own1",
                Name = "Amanda"
            });


            calendars.Add(new ResourceCalendar
            {
                Id = "cal1",
                OwningResourceId = "own1"
            });


            appointments.Add(new Appointment
            {
                Id = "t1",
                OwningCalendarId = "cal1",
                OwningResourceId = "own1",
                Subject = "Appointment 1",
                Description = "My first appointment",
                Start = DateTime.Today.AddHours(9).AddMinutes(12),
                End = DateTime.Today.AddHours(11).AddMinutes(42)

            });


            tasks.Add(new Task
            {
                Id = "t0",
                OwningCalendarId = "cal1",
                OwningResourceId = "own1",
                Start = DateTime.Today.AddHours(9).AddMinutes(12).
                    ToUniversalTime(),
                End = DateTime.Today.AddHours(9).AddMinutes(42).
                    ToUniversalTime(),
                Subject = "Task1 1",
                Description = "My first Task in XAML",
            });

            dataConnector.TimeZoneInfoProviderResolved.LocalTimeZoneId = "UTC";
            dataConnector.ResourceItemsSource = resources;
            dataConnector.ResourceCalendarItemsSource = calendars;
            dataConnector.AppointmentItemsSource = appointments;
            dataConnector.TaskItemsSource = tasks;
        }
    }
}
